﻿using DxPackNet;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace CameraShot
{
    public partial class Form1 : Form
    {
        IDxCameraCapture camCapture;
        DxDeviceCollection cameras;
        public Form1()
        {
            InitializeComponent();
        }
        private void Form1_Load(object sender, EventArgs e)
        {
            cameras = DxFactory.CreateDxCompent<DxDeviceCollection>(DxDeviceCollection.ENVIRONMENT_CAMERAS);
            camCapture = DxFactory.CreateDxCompent<IDxCameraCapture>(this, panel1);
            camCapture.Init(cameras[0]);
        }

        private void button1_Click(object sender, EventArgs e)
        {
            camCapture.Run();
        }

        private void button2_Click(object sender, EventArgs e)
        {
            //调用截屏函数 获取当前图片
            Bitmap bmp = camCapture.CatchBmp();
            if (bmp != null)
            {
                pictureBox1.Image = bmp;
            }
        }

        private void Form1_FormClosing(object sender, FormClosingEventArgs e)
        {
            camCapture.Dispose();
            cameras.Dispose();
        }

        
    }
}
